Subject: Re: bug#31495: 26.1; filename completion -vs- "*"

From: Tino Calancha <[email-masked]>
Date: Thu, 21 Jun 2018 16:44:50 +0900 (JST)

On Thu, 21 Jun 2018, Michael Albinus wrote:

> this discussion is going offtopic. Maybe you write a bug report?
You are right.  Sorry for that.

>> I find-grep 'zsh' in doc, and I found from tramp manual just this:
>> When using zsh on remote hosts, disable zsh line editor because zsh
>> uses left-hand side and right-hand side prompts in parallel.  Add the
>> following line to @file{~/.zshrc}:
>>
>> @example
>> [[ $TERM == "dumb" ]] && unsetopt zle && PS1='$ ' && return
>> @end example
>>
>> Then, I add such line in
>> ~/.zsh
>> and
>> /root/.zsh
>> sudo ln -sf /bin/zsh /bin/sh
>> emacs -Q
>> C-x d /sudo::/bin
>> ;; I don't get prompt for root password
>
> Please eval (setq tramp-verbose 10) prior opening your remote
> directory. There will be a Tramp debug buffer; pls show it.
This must go in the new bug report whenever it exists.

> Out of curiosity, why do you edit ~/.zsh and /root/.zsh? The manual
> speaks about ~/.zshrc (I'm not an zsh user, so I don't know what I'm
> speaking about).
Good catch!
My typo in the email.  I actually created:
~/.zshrc
/root/.zshrc

> Best regards, Michael
My best regards too,
Tino